### Constructor

# Gdk.Texture.new_from_file

#### Declaration [src]

    GdkTexture*
    gdk_texture_new_from_file (
      GFile* file,
      GError** error
    )

#### Description [src]

Creates a new texture by loading an image from a file.

The file format is detected automatically. The supported formats are PNG and JPEG, though more formats might be available.

If `NULL` is returned, then `error` will be set.

#### Parameters

`file` | `GFile*`
| `GFile` to load
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkTexture`
A newly-created `GdkTexture` or `NULL` if an error occurred.
Ownership of the data is transferred to the caller